Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.datatypes
Interface ValueSpace

All Superinterfaces:
  java.util.Comparator

All Known Implementing Classes:
  AbstractDateTimeValueSpace, AbstractValueSpace, XSDDecimal.DecimalValueSpace, XSDDuration.DurationValueSpace

    public interface ValueSpace

extends java.util.Comparator

Field Summary
`static int` | `INFINITE`

Method Summary
`int` | `compare(java.lang.Object o1, java.lang.Object o2)`
`int` | `count(java.lang.Object start, java.lang.Object end)`
`java.lang.String` | `getLexicalForm(java.lang.Object value)`
`java.lang.Object` | `getMaxValue()`
`java.lang.Object` | `getMidValue()`
`java.lang.Object` | `getMinValue()`
`java.lang.Object` | `getValue(java.lang.String literal)`
`boolean` | `isInfinite()`
`boolean` | `isInfinite(java.lang.Object value)`
`boolean` | `isValid(java.lang.Object value)`
`java.lang.Object` | `succ(java.lang.Object start, int n)`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### INFINITE

    static final int INFINITE

See Also:
  Constant Field Values

Method Detail

### getMidValue

    java.lang.Object getMidValue()

### getMinValue

    java.lang.Object getMinValue()

### getMaxValue

    java.lang.Object getMaxValue()

### isInfinite

    boolean isInfinite()

### isInfinite

    boolean isInfinite(java.lang.Object value)

### isValid

    boolean isValid(java.lang.Object value)

### getValue

    java.lang.Object getValue(java.lang.String literal)

### getLexicalForm

    java.lang.String getLexicalForm(java.lang.Object value)

### compare

    int compare(java.lang.Object o1,
                java.lang.Object o2)

  Specified by:
    `compare` in interface `java.util.Comparator`

### count

    int count(java.lang.Object start,
              java.lang.Object end)

### succ

    java.lang.Object succ(java.lang.Object start,
                          int n)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.